#
# spec file for package epydoc
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           epydoc
BuildRequires:  fdupes
BuildRequires:  python-devel
Summary:        Tool for Generating Python API Documentation
License:        BSD-3-Clause
Group:          Development/Tools/Doc Generators
Version:        3.0.1
Release:        79.4
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch1:         epydoc_restructuredtext_Bug_578920.patch
Url:            http://epydoc.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

%description
Epydoc is a tool for generating API documentation for Python modules
based on their documentation strings (docstrings). A lightweight markup
language, called epytext ,can be used to format docstrings and add
information about specific fields, such as parameters and instance
variables. Epydoc also understands docstrings written in
ReStructuredText, Javadoc, and plain text.

%prep
%setup
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES
%fdupes $RPM_BUILD_ROOT/%{_sharedir}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc doc/* LICENSE.txt README.txt

%changelog
* Tue Mar 26 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Fri Oct 21 2011 eugene@nobilis.org.ru
- Fix 578920 bug ('Text' object has no attribute 'data')
  Thanks Götz Waschk
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
* Tue Aug 11 2009 matejcik@suse.cz
- build as noarch on new distros
* Sat Mar 22 2008 matejcik@suse.cz
- update to 3.0.1
  * support for parsing sourcecode, in addition to introspection
  * docstrings for variables
  * ability to generate graphs & diagrams
  * syntax highlighted source code
  * according to the docs, version 3 is fully backwards compatible
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec  8 2004 mcihar@suse.cz
- initial packaging
